"use strict";
const common_vendor = require("../../common/vendor.js");
require("../../store/index.js");
const store_modules_system = require("../../store/modules/system.js");
if (!Array) {
  const _easycom_up_search2 = common_vendor.resolveComponent("up-search");
  const _easycom_up_tabs2 = common_vendor.resolveComponent("up-tabs");
  const _easycom_up_sticky2 = common_vendor.resolveComponent("up-sticky");
  const _easycom_up_image2 = common_vendor.resolveComponent("up-image");
  const _easycom_custom_layout2 = common_vendor.resolveComponent("custom-layout");
  (_easycom_up_search2 + _easycom_up_tabs2 + _easycom_up_sticky2 + _easycom_up_image2 + _easycom_custom_layout2)();
}
const _easycom_up_search = () => "../../uni_modules/uview-plus/components/u-search/u-search.js";
const _easycom_up_tabs = () => "../../uni_modules/uview-plus/components/u-tabs/u-tabs.js";
const _easycom_up_sticky = () => "../../uni_modules/uview-plus/components/u-sticky/u-sticky.js";
const _easycom_up_image = () => "../../uni_modules/uview-plus/components/u-image/u-image.js";
const _easycom_custom_layout = () => "../../components/custom-layout/custom-layout.js";
if (!Math) {
  (_easycom_up_search + _easycom_up_tabs + _easycom_up_sticky + _easycom_up_image + _easycom_custom_layout)();
}
const ceshiimage = "https://img.js.design/assets/img/66f77cb0c6ebda7a2a394736.png#846fab95fed56db08fcbc92025765a68";
const ceshiicon = "https://img.js.design/assets/img/66f7f501b50663ba27c0adc7.png#5e31df675fe6a23fe7219d6fe07b48b4";
const _sfc_main = {
  __name: "index",
  setup(__props) {
    const store = store_modules_system.useSystemStore();
    const {
      bgColor
    } = common_vendor.storeToRefs(store);
    const searchValue = common_vendor.ref("卡皮巴拉");
    const tabs = common_vendor.ref([
      {
        state: -1,
        name: "热门"
      },
      {
        state: 1,
        name: "爱情"
      },
      {
        state: 2,
        name: "生日"
      },
      {
        state: 3,
        name: "友谊"
      },
      {
        state: 4,
        name: "手帐"
      },
      {
        state: 5,
        name: "宝宝"
      },
      {
        state: 6,
        name: "婚礼"
      },
      {
        state: 7,
        name: "校园"
      }
    ]);
    common_vendor.ref(-1);
    const dataList = common_vendor.ref([{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}]);
    const num = common_vendor.ref(1);
    const layout = common_vendor.ref();
    const onQueryList = (event) => {
      const {
        pageNo,
        pageSize
      } = event;
      if (pageNo > 1) {
        if (num.value < 2) {
          num.value++;
          layout.value.complete(dataList.value);
        } else {
          layout.value.complete([]);
        }
      } else {
        num.value = 2;
        layout.value.complete(dataList.value);
      }
    };
    common_vendor.onPageScroll((e) => {
      common_vendor.index.$emit("onPageScroll", e.scrollTop);
    });
    common_vendor.onMounted(() => {
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(($event) => searchValue.value = $event),
        b: common_vendor.p({
          placeholder: "卡皮巴拉",
          showAction: false,
          borderColor: "rgba(0, 224, 176, 1)",
          modelValue: searchValue.value
        }),
        c: common_vendor.o(_ctx.click),
        d: common_vendor.p({
          list: tabs.value
        }),
        e: common_vendor.p({
          ["offset-top"]: "0",
          ["customNav-height"]: "0",
          ["bg-color"]: common_vendor.unref(bgColor)
        }),
        f: common_vendor.f(10, (item, index, i0) => {
          return {
            a: "8d87f12a-4-" + i0 + ",8d87f12a-0",
            b: common_vendor.f(3, (items, indexs, i1) => {
              return {
                a: "8d87f12a-5-" + i0 + "-" + i1 + ",8d87f12a-0",
                b: indexs
              };
            }),
            c: index
          };
        }),
        g: common_vendor.p({
          ["show-loading"]: true,
          src: ceshiimage,
          radius: "20rpx",
          width: "161.95rpx",
          height: "155.87rpx"
        }),
        h: common_vendor.p({
          ["show-loading"]: true,
          src: ceshiicon,
          radius: "20rpx",
          width: "114rpx",
          height: "106rpx"
        }),
        i: common_vendor.sr(layout, "8d87f12a-0", {
          "k": "layout"
        }),
        j: common_vendor.o(onQueryList),
        k: common_vendor.o(($event) => dataList.value = $event),
        l: common_vendor.p({
          showBottom: true,
          back: {
            show: false,
            logoShow: true
          },
          modelValue: dataList.value
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-8d87f12a"]]);
_sfc_main.__runtimeHooks = 1;
wx.createPage(MiniProgramPage);
